## Testing your Design on FPGAOL

### login & acquire

Enter your Username and Password and press **login** button to login.

![login](img/login.png)

Then, press **acquire** button to acquire an FPGA instance. 

![acquire](img/acquire.png)

You can test your design on FGPAOL dev page, if an FPGA instance is acquired properly.

![fpgaol](img/fpgaol.png)

### upload & program

Press **select file** button to select your bitstream file.

![bitstream](img/bitstream.png)

Then, press **Program** button to upload and program your bitstream file. It will take approximately 10 Secs to upload and program.

![progsuccess](img/progsuccess.png)

### use human interface

After the bistream file is successfully uploaded and programmed, you can gain access to FPGA interface to test your design. The behavor depends on your design.

![interface](img/interface.png)

### use waveform

Sample-based waveform chart is provided.

![waveform](img/waveform.png)

You can also view waveform of a specified period of time.